--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns the hash of the property name
- !ruby/struct:SM::Flow::P 
  body: This is necessary to allow comparisons between different properties in different models, having the same base model
- !ruby/struct:SM::Flow::P 
  body: "@return [Integer]"
- !ruby/struct:SM::Flow::VERB 
  body: "  the property name hash\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Property#hash
is_singleton: false
name: hash
params: ()
visibility: public
